org.wildfly.swarm.config.undertow.configuration.reverse_proxy

## Class Host<T extends Host<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.configuration.reverse_proxy.Host<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Host<T extends Host<T>>
      extends HashMap

  A host that the reverse proxy will forward requests to
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Host(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `instanceId()` The instance id (aka JVM route) that will be used to enable sticky sessions
    `T` | `instanceId(String value)` The instance id (aka JVM route) that will be used to enable sticky sessions
    `String` | `outboundSocketBinding()` Outbound socket binding for this host
    `T` | `outboundSocketBinding(String value)` Outbound socket binding for this host
    `String` | `path()` Optional path if host is using non root resource
    `T` | `path(String value)` Optional path if host is using non root resource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `scheme()` What kind of scheme is used
    `T` | `scheme(String value)` What kind of scheme is used
    `String` | `securityRealm()` The security realm that provides the SSL configuration for the connection to the host
    `T` | `securityRealm(String value)` The security realm that provides the SSL configuration for the connection to the host

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Host

          public Host(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### instanceId

          public String instanceId()

      The instance id (aka JVM route) that will be used to enable sticky sessions

    - #### instanceId

          public T instanceId(String value)

      The instance id (aka JVM route) that will be used to enable sticky sessions

    - #### outboundSocketBinding

          public String outboundSocketBinding()

      Outbound socket binding for this host

    - #### outboundSocketBinding

          public T outboundSocketBinding(String value)

      Outbound socket binding for this host

    - #### path

          public String path()

      Optional path if host is using non root resource

    - #### path

          public T path(String value)

      Optional path if host is using non root resource

    - #### scheme

          public String scheme()

      What kind of scheme is used

    - #### scheme

          public T scheme(String value)

      What kind of scheme is used

    - #### securityRealm

          public String securityRealm()

      The security realm that provides the SSL configuration for the connection to the host

    - #### securityRealm

          public T securityRealm(String value)

      The security realm that provides the SSL configuration for the connection to the host

Copyright © 2018 JBoss by Red Hat. All rights reserved.